| Qore Programming Language - C/C++ Library 1.0.8

List of all members
ScopeGuardImpl2< F, P1, P2 > Class Template Reference

scope guard class More...

`#include <ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl2< F, P1, P2 >:
[legend]
Collaboration diagram for ScopeGuardImpl2< F, P1, P2 >:
[legend]

## Detailed Description

### template<typename F, typename P1, typename P2>
class ScopeGuardImpl2< F, P1, P2 >

scope guard class

The documentation for this class was generated from the following file:

- include/qore/ScopeGuard.h